Get all collections

View as Markdown
Gets all of your [collections](https://www.getpostman.com/docs/collections). The response includes all of your subscribed collections. **Note:** - It's recommended that you use pagination with this endpoint. Pagination improves endpoint performance. Unpaginated calls are considered deprecated and are subject to change. - Filtering with the `name` parameter when you also pass the `limit` and `offset` parameters is not supported. - If you pass an invalid workspace ID for the `workspace` query parameter, this endpoint returns an HTTP `200 OK` response with an empty array.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Query parameters

workspacestringOptional
The workspace's ID.
namestringOptional
Filter results by collections whose name exactly matches the given value. Partial or substring matches are not supported.
limitintegerOptional
The maximum number of rows to return in the response.
offsetintegerOptional

The zero-based offset of the first item to return.

Response

Successful Response
collectionslist of objects
metaobject
The response's meta information for paginated results.

Errors

401
Unauthorized Error
500
Internal Server Error